<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listDigitizations") label="Digitizations"]]
  <li>
    Add new digitization
  </li>
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="Add new digitization"]]

<semantic-form
  new-subject-template="http://content.mpiwg-berlin.mpg.de/ns/ismi/digitization/{{ismi_id}}"
  post-action="redirect"
  urlqueryparam-view="Digitization"
  urlqueryparam-param="digitizationiri"
  fields="[[fieldDefinitions
    ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
    label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/label1'
    record_type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/digitization_record_type'
    record_type2='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/digitization_record_type_2'
  ]]"
  >

  <semantic-form-text-input for="label"></semantic-form-text-input>

  <semantic-form-text-input for="ismi_id" readonly="true" 
    default-value="[[autoincrementValue 'ismidb:last-ismi-id']]"></semantic-form-text-input>
  <semantic-form-hidden-input for="record_type"></semantic-form-hidden-input>
  <semantic-form-hidden-input for="record_type2"></semantic-form-hidden-input>

  <div class="gap text-right">
    <button name="submit" class="btn btn-primary btn-md">Add</button>
    <semantic-form-recover-notification class="alert alert-info"></semantic-form-recover-notification>
    <p><b>To continue enter a label and click "Add" and then "Edit" on the following page.</b></p>
  </div>

</semantic-form>

[[> Partial:contentEnd]]
